[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# lessthanorequal(TUInt24Rec,Cardinal):Boolean

Check whether a TUInt24Rec value is less than or equal to a cardinal value

## Declaration

Source position: unicodedata.pas line 261

`class operator TUInt24Rec.lessthanorequal(TUInt24Rec,Cardinal):Boolean(`
`a: TUInt24Rec;`
`b: Cardinal`
`):Boolean;`

## Arguments

`a` |  | TUInt24Rec to compare
`b` |  | Cardinal value to compare

## Function result

True if a is less than or equal to b

## Description

The comparison is done by comparing 3 first bytes of the cardinal value with bytes byte0, byte1 and byte2.